Skip to main content
GET
/
contract
/
v1
/
monthly-variable-compensations
/
{monthlyVariableCompensationId}
Get a monthly variable compensation
curl --request GET \
  --url https://api-{region}.sesametime.com/contract/v1/monthly-variable-compensations/{monthlyVariableCompensationId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "salaryCompensationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 500,
    "date": "2024-01-15",
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00"
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

monthlyVariableCompensationId
string<uuid>
required

The monthly variable compensation ID

Response

Successful response

data
object